# Method: defaultSupportedIdps.list

- [HTTP request](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/defaultSupportedIdps/list#body.HTTP_TEMPLATE)
- [Query parameters](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/defaultSupportedIdps/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/defaultSupportedIdps/list#body.request_body)
- [Response body](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/defaultSupportedIdps/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/defaultSupportedIdps/list#body.ListDefaultSupportedIdpsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/defaultSupportedIdps/list#body.aspect)
- [DefaultSupportedIdp](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/defaultSupportedIdps/list#DefaultSupportedIdp)
  - [JSON representation](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/defaultSupportedIdps/list#DefaultSupportedIdp.SCHEMA_REPRESENTATION)
- [Try it!](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/defaultSupportedIdps/list#try-it)

List all default supported Idps.

### HTTP request

`GET https://identitytoolkit.googleapis.com/admin/v2/defaultSupportedIdps`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of items to return. |
| `pageToken` | `string` The nextPageToken value returned from a previous List request, if any. |

### Request body

The request body must be empty.

### Response body

Response for defaultSupportedIdps.list

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "defaultSupportedIdps": [ { object (`https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/defaultSupportedIdps/list#DefaultSupportedIdp`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `defaultSupportedIdps[]` | ``object (`https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/defaultSupportedIdps/list#DefaultSupportedIdp`)`` The set of configs. |
| `nextPageToken` | `string` Token to retrieve the next page of results, or empty if there are no more results in the list. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/identitytoolkit`
- `
  https://www.googleapis.com/auth/firebase`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

## DefaultSupportedIdp

Standard Identity Toolkit-trusted IDPs.

| JSON representation |
|---|
| ``` { "idpId": string, "description": string } ``` |

| Fields ||
|---|---|
| `idpId` | `string` Id the of Idp |
| `description` | `string` Description of the Idp |